Subject: Re: [PATCH] clean: improve -n and -f implementation and documentation

From: Junio C Hamano <[email-masked]>
Date: Fri, 01 Mar 2024 10:07:10 -0800

"Kristoffer Haugsbakk" <[email-masked]> writes:

> On Fri, Mar 1, 2024, at 15:34, Sergey Organov wrote:
>>> Please use backticks for options, configuration and environment names:
>>> `clean.requireForce`
>>
>> I did consider this. However, existing text already has exactly this one
>> unquoted, so I just did the same. Hopefully it will be fixed altogether
>> later, or are you positive I better resend the patch with quotes?
>
> Sometimes I see widespread changes (like formatting many files) get
> rejected because it is considered _churn_. Not fixing this in this
> series and then maybe someone else fixing it later seems like churn as
> well. Isn’t it better to fix it while you are changing the text?

Any one of these is fine:

 (1) add the new paragraph with mark-up consistent with existing
     text (which is what Sergey did).

 (2) add the new paragraph with correct mark-up, making the document
     less consistent overall.

 (3) have one patch to fix broken mark-up of existing text, followed
     by another patch to add the new paragraph with correct mark-up.

If you take one of the first two, it would be a very good idea to
have a comment in the proposed log message to note the need for
later clean-up.  Without being written down anywhere, your discovery
and the brain cycles you spent while deciding what to do will be
wasted, which is not what you want.

Thanks, both.